//
//  YHCertificateTemplateCell.swift
//  galaxy
//
//  Created by edy on 2024/3/19.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHCertificateTemplateCell: UITableViewCell {

    static let cellReuseIdentifier = "YHCertificateTemplateCell"
    
    lazy var tipsLabel: UILabel = {
        let label = UILabel()
        label.textColor = UIColor.labelTextColor2
        label.textAlignment = .left
        label.font = UIFont.PFSC_R(ofSize:12)
        label.numberOfLines = 0
        label.text = "注意事项：这里是上传应该注意的事项这里是上传应该注意的事项这里是上传应该注意的事项。"
        return label
    }()
    
    lazy var templateTitleLabel: UILabel = {
        let label = UILabel()
        label.textColor = UIColor.mainTextColor
        label.textAlignment = .left
        label.font = UIFont.PFSC_M(ofSize:17)
        label.text = "身份证示例模版"
        return label
    }()
    
    lazy var templateView: YHCertificateSampleTemplateView = {
        let view = YHCertificateSampleTemplateView(frame:CGRectZero)
//        let tap = UITapGestureRecognizer(target:self, action:#selector(action(_:)))
//        view.addGestureRecognizer(tap)
        return view
    }()

    required init?(coder: NSCoder) {
        super.init(coder: coder)
    }
    
    override init(style: UITableViewCell.CellStyle, reuseIdentifier: String?) {
        super.init(style: style, reuseIdentifier: reuseIdentifier)
        createUI()
    }
    
    func createUI() {
    
        contentView.addSubview(templateTitleLabel)
        contentView.addSubview(tipsLabel)
        contentView.addSubview(templateView)
        
        templateTitleLabel.snp.makeConstraints { make in
            make.left.equalToSuperview().offset(20)
            make.right.equalToSuperview().offset(-20)
            make.top.equalToSuperview().offset(16)
            make.height.equalTo(24.0)
        }
        tipsLabel.snp.makeConstraints { make in
            make.left.equalToSuperview().offset(20)
            make.right.equalToSuperview().offset(-20)
            make.top.equalTo(templateTitleLabel.snp.bottom).offset(5)
        }
        templateView.snp.makeConstraints { make in
            make.left.equalToSuperview().offset(20)
            make.right.equalToSuperview().offset(-20)
            make.top.equalTo(tipsLabel.snp.bottom).offset(15)
            make.height.equalTo(62.0)
            make.bottom.equalToSuperview().offset(-34)
        }
    }

}
